[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# StrToNetAddr

Convert a string to a network address.

## Declaration

Source position: socketsh.inc line 216

`function StrToNetAddr(`
`IP: AnsiString`
`):in_addr;`

## Description

StrToNetAddr converts the string representation in IP to a network address and returns the network address.

## Errors

On error, the network address is filled with zeroes.

## See also

NetAddrToStr |  | Convert a network address to a string.
HostAddrToStr |  | Convert a host address to a string.
StrToHostAddr |  | Convert a string to a host address.

Documentation generated on: Feb 26 2014